﻿@model Tuple<List<PortalChartView>, List<PortalChartTypeView>, List<AreaKeyView>>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMChart.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMChart.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMChart.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<h1 class="page-header">@Charts.CHTS</h1>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Charts.CHTS</h3>
    </div>
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>Id @Charts.CHT</th>
                        <th>@Charts.CN</th>
                        <th>@Charts.CT</th>
                        <th>@Charts.PA</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (PortalChartView item in Model.Item1)
                    {
                        <tr>
                            <td>@item.IdChart</td>
                            <td>@item.ChartName</td>
                            <td>@Model.Item2.Where(c => c .IdChartType == item.IdChartType).FirstOrDefault().ChartName</td>
                            <td>@Model.Item3.Where(c => c.IdAreaKeys.ToString() == item.PortalPage).FirstOrDefault().KeyResource</td>
                            <td>
                                @if (_Update)
                                {
                                    <a href='@Url.Action("ChartCreator", "Chart", new { @ActionChartCreator = "Update", @pChartId = item.IdChart })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@News.Edit
                                    </a>
                                }
                                @if (_Delete)
                                {
                                    <button onclick="DeleteChart(@item.IdChart)" id="DeleteChart" @*href='@Url.Action("ChartCreator", "Chart", new { @ActionChartCreator = "Delete", @pChartId = item.IdChart })'*@ class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-trash"></span>&nbsp;@News.Delete
                                    </button>
                                }
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
</div>
@if (_Add)
{
    <div class="col-md-2 pull-right but_blok_footer">
        <a href='@Url.Action("ChartCreator", "Chart", new { @ActionChartCreator = "Add", @pChartId = 0 })' class="btn btn-success btn-ls pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@Charts.AC
        </a>
    </div>
}

@Html.Partial("_MessagePartial", @Companies.AYSTYWTRTR)
@Scripts.Render("~/bundles/ChartIndex")

